mfont_put_prop(3m17n)

NAME
mfont_put_prop - Put a property value to a font.

SYNOPSIS
int mfont_put_prop (MFont * font, MSymbol key, void * val)

DESCRIPTION
Put a property value to a font.

The mfont_put_prop() function puts a font property whose key is key and value is val to font font. key must be one of the following symbols:

Mfoundry, Mfamily, Mweight, Mstyle, Mstretch, Madstyle, Mregistry, Msize, Mresolution.

If key is Msize or Mresolution, val must be an integer. Otherwise, val must be a symbol of a property value name. But, if the name is 'nil', a symbol of name 'Nil' must be specified.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.